Skip to main content
POST
/
api
/
canary
/
authentication
/
organization
/
update
Update Organization
curl --request POST \
  --url https://api.cashful.africa/api/canary/authentication/organization/update \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "organizationId": "org_12345",
  "data": {}
}
'
{
  "organization": {
    "id": "org_123",
    "name": "Updated Corp"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
organizationId
string
required

The ID of the organization to update

Example:

"org_12345"

data
object
required

Data to update

Response

Organization updated successfully

organization
object
required

Organization updated successfully

Example:
{ "id": "org_123", "name": "Updated Corp" }